/**
 * Created by hinotohui on 18/11/20.
 */
const Agent = require('agentkeepalive')
function create (serverConfig, agentConfig = {
  maxSockets: 5,
  maxFreeSockets: 5,
  timeout: 15000,
  freeSocketTimeout: 4000
}) {
  return (serverConfig || []).map((v) => {
    const agent = new Agent({
      maxSockets: agentConfig.maxSockets,
      maxFreeSockets: agentConfig.maxFreeSockets,
      timeout: agentConfig.timeout,
      freeSocketTimeout: agentConfig.freeSocketTimeout
    })

    return Object.assign({ 'agent': agent }, v)
  })
}

module.exports = {
  create
}
