##搜索APP部 前端构建工具

###sgs-node

```
> npm i -g sgs-node@latest
> mkdir helloworld
> cd helloworld
> sgs-node init
> npm update && npm i
> npm run build
> npm start
Now U can happy to code
```

### 初始化
生成目录

```
├── config
│     ├── default.js
│     └── production.js
├── mock
│     ├── input
│     │     └── index.js
│     └── output
│     │     └── index.js
├── server
│     ├── config
│     │     ├── default.js
│     │     ├── dev.js
│     │     ├── development.js
│     │     ├── production.js
│     │     ├── staging.js
│     │     └── test.js
│     ├── index.js
│     └── pm2.json
├── src
│     ├── api
│     ├── pages
│     │     ├── index
│     │     │     ├── router
│     │     │     │     └── index.js
│     │     │     ├── store
│     │     │     │     ├── actions.js
│     │     │     │     ├── getters.js
│     │     │     │     ├── index.js
│     │     │     │     └── mutations.js
│     │     │     ├── views
│     │     │     │     ├── hellowasync.vue
│     │     │     │     └── helloworld.vue
│     │     │     ├── app.vue
│     │     │     ├── config.js
│     │     │     └── csr.vue
│     └── global.js
├── zoo
│     └── index.js
├── favicon.ico
├── package.json
└── project.config.js

```
