const Router = require('koa-router')
const router = new Router()
const { ResponseError } = require('../error')
const { control } = require('../controller/sgsNewsContoller')
/*
/sgs/detail/news/1/?req=M5DlTOT1WM-IQz50d8gE7jPdYOKyPkfppwxWh5d5uGaACEZq5fFeu0Zllu3yL6Af&user_type=1
 */
router.get(
  '/sogou/detail/:product_type/:user_type',
  control,
  async (ctx, next) => {
    ctx.__SSR_CONTENT__ = {
      result: ctx.result || '',
      ad: ctx.adResult || '',
      control: ctx.control,
      _msg_: 'success'
    }

    return await next()
  }
)

router.get('/', async (ctx, next) => {
  console.log('error')

  return await next()
})

exports.router = router
