const Router = require('koa-router')
const router = new Router()
const { ResponseError } = require('../error')
const { control } = require('../controller/sgsNewsContoller')
const { control: assetControl } = require('../controller/assetController')
const { control: proxyControl } = require('../controller/proxyController')
const { template } = require('../view/vueViewTemplate')
/*
/sgs/detail/news/1/?req=M5DlTOT1WM-IQz50d8gE7jPdYOKyPkfppwxWh5d5uGaACEZq5fFeu0Zllu3yL6Af&user_type=1
 */
router.get(
  '/sgs/detail/:product_type/:user_type',
  control,
  async (ctx, next) => {
    ctx.__SSR_CONTENT__ = {
      result: ctx.result || '',
      ad: ctx.adResult || '',
      control: ctx.control,
      _msg_: 'success'
    }
    return await next()
  }
)

// router.get('/static/*',assetControl)

// router.get('/weball/*',proxyControl)

// router.get('/sgsearch/api/*',proxyControl)

router.get('/*', async function () {
  throw new ResponseError({ code: 404, message: 'error path' })
})

exports.router = router
