const path = require('path')
const rootPath = process.cwd()

const { NODE_ENV } = process.env
const [isDevelopment, isProduction] = [
  NODE_ENV === 'development',
  NODE_ENV === 'production'
]

let projectConfig = require(`${rootPath}/project.config.js`)
const serverConfig = require(`${rootPath}/server/config`)

module.exports = {
  pathConfig: {
    template: path.join(__dirname, './../template')
  }
}
