const RuntimeException = require('./runtime.exception')
const Messages = require('../messages')

class InvalidResponseException extends RuntimeException {
  constructor(trace, paramName) {
    super(
      '响应参数异常',
      Messages.INVALID_RESPONSE_MESSAGE('', paramName),
      trace
    )
  }
}

module.exports = InvalidResponseException
