const webpackConfig = require('config').get('webpack')
const vendor = ['vue', 'vuex', 'vue-router', 'vuex-router-sync']

let dllEntry = webpackConfig.dllEntry

if (dllEntry) {
  if (Array.isArray(dllEntry)) {
    if (dllEntry.every(v => !vendor.includes(v))) {
      dllEntry = { vendor: [...vendor, ...dllEntry] }
    } else {
      dllEntry = { vendor: dllEntry }
    }
  }
} else {
  dllEntry = { vendor }
}

module.exports = dllEntry
