const tasksConf = require('config').get('tasks')
const prepack = require('./prepack.js')

const hook = async () => {
  let { beforeHook } = tasksConf
  let hooks = beforeHook.filter(v => {
    return typeof v === 'function'
  })

  for (const index in hooks) {
    if (hooks.hasOwnProperty(index)) {
      const fn = hooks[index]

      await fn.call()
    }
  }

  prepack()
}

module.exports = hook
