/**
 * Created by hinotohui on 19/1/25.
 * 断路器
 */
function circuitBreaker (timeOut, promise) {
  let timer
  return Promise.race([
    new Promise((resolve, reject) => {
      timer = setTimeout(() => {
        reject(new Error('timeout'))
      }, timeOut)
    }),
    promise
  ]).then(
    data => {
      timer && clearTimeout(timer)
      return data
    },
    e => {
      // timer&&clearTimeout(timer)
      throw e
    }
  )
}

module.exports = {
  circuitBreaker
}
