const defaultConfig = {
  kv: {
    limit: 5,
    timeout: 300, // 无效
    keepAliveTimeout: 3500,
    charset: 'utf8',
    pool: [
      {
        host: '',
        port: ''
      }
    ]
  },
  redis: {
    open: false,
    feCache: {
      host: '',
      port: '',
      password: '',
      db: ''
    }
  },
  mysql: {
    host: '',
    port: '',
    username: '',
    password: '',
    db: '',
    charset: '',
    maxConnection: 5
  },
  app: {
    mid: '',
    xid: '',
    retryTimes: 3,
    monica: ''
  }
}

const readOptionsFile = require('read-options-file')
const config = readOptionsFile.load('backend.config.js')
const setting = readOptionsFile.extend({}, defaultConfig, config)

module.exports = setting
