/**
 * Created by hinotohui on 18/11/20.
 */
const random = require('random')

class LoadBalance {
  static nextServer (servers, excludes) {
    if (!excludes || !excludes.length) {
      let id = random.int(0, servers.length - 1)
      return [id, servers[id]]
    } else {
      // excludes小于servers
      if (excludes.length >= servers.length) {
        throw new Error('servers corrupted')
      } else {
        let serverIds = Array.from(new Array(servers.length), (val, index) => index)

        let result = serverIds.filter((k) => {
          return excludes.indexOf(k) == -1
        })

        let id = result[random.int(0, result.length - 1)]
        return [id, servers[id]]
      }
    }
  }
}

module.exports = {
  LoadBalance
}
