let { decrypt } = require('../util')
let { getResult } = require('../kv')
let { getValue } = require('../redis')
let { getResult: mysqlGetResult } = require('../mysql')
let { app: appConfig } = require('../config')
let logger = require('../sgs_loggger')
let { control } = require('../controller/sgsContentContoller')

async function mock (ctx, next) {
  await control(ctx, next)
}

async function test () {
  let req = 'gNWjMh9kjpEtYgjReTdUXc_p87ulhhIu1SuKFMfPX7M'
  let result = JSON.parse(decrypt(req))
  let url = result.url
  let ctx = {

    'queryParams': {
      'user_type': 1,
      'doc_url': url,

      'req': req
    },
    'pid': 'sogou-clse-c07d4fe1bad8cc10',
    'bid': '',
    'realip': '10.129.233.66',
    'redis_key': '10ddd00ba3c0691575d31a18f936a706&appType=0',
    'appinfo': '',
    'mid': appConfig.mid,
    'xid': appConfig.xid,
    'os': 'android',
    'subid': 0,
    'product_type': -3,
    'count': 1
  }

  let adParams = []

  ctx.adParams = adParams

  adParams.push(['appinfo', encodeURIComponent(ctx.appinfo)])
  adParams.push(['xid', encodeURIComponent(ctx.xid)])
  adParams.push(['mid', encodeURIComponent(ctx.mid)])
  adParams.push(['os', ctx.os])
  adParams.push(['subid', ctx.subid])
  adParams.push(['ip', encodeURIComponent(ctx.realip)])
  adParams.push(['title', encodeURIComponent('')])
  adParams.push(['docid', encodeURIComponent(ctx.queryParams.url)])
  adParams.push(['type', ctx.product_type])
  adParams.push(['count', 1])

  await mock(ctx, () => { console.log(1) })
}

test()
