const RuntimeException = require('./runtime.exception')
const Messages = require('../messages')

class InvalidParamException extends RuntimeException {
  constructor(trace, paramName) {
    super('请求参数异常', Messages.INVALID_PARAM_MESSAGE('', paramName), trace)
  }
}

module.exports = InvalidParamException
