/**
 * Log [ discard ]
 */

module.exports = function (config) {
  return async (ctx, next) => {
    const t1 = Date.now()
    await next()
    const t2 = Date.now()
    logger.info(
      `${utils.formate(t1)} Time: ${String(t2 - t1).padStart(
        4,
        ' '
      )}  User: ${(ctx.auth && ctx.auth.login) || 'null'}(${ctx.cookies.get(
        'msid'
      ) ||
        ctx.cookies.get('login') ||
        'null'}) ${ctx.method.padStart(5, ' ')}  ${ctx.url}`
    )
  }
}
