const Logger = require('./logger')

class Log4j {
  constructor (desc) {
    this.desc = desc
    this.start = Date.now()
  }

  end () {
    this.end = Date.now()
  }

  print () {
    Logger.consume(`${this.desc} -> ${this.end - this.start} ms`)
  }

  static push (log4j) {
    Log4j.log.push(log4j)
  }
}

Log4j.log = []

module.exports = Log4j
