import config from '../config'
import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

const { project, folder, html } = config

const HelloAsync = () => import('../views/helloasync.vue')
import Helloworld from '../views/helloworld.vue'

export function createRouter() {
  return new Router({
    mode: 'history',
    fallback: false,
    routes: [
      { path: `/${project}/${html}/${folder}/helloworld`, component: Helloworld },
      { path: `/${project}/${html}/${folder}/helloasync`, component: HelloAsync }
    ]
  })
}
