const root = process.cwd()
const fse = require('fs-extra')
const path = require('path')

function readFile (fileName) {
  if (!fileName) return {}
  let filePath = path.resolve(root, `./${fileName}`)
  if (fse.existsSync(filePath)) {
    let config = require(filePath)

    return config
  }

  return {}
}

module.exports = { readFile }
