const beforeWebpack = require('./hook-before-webpack.js')
const afterWebpack = require('./hook-after-webpack.js')

const buildDll = require('./build-dll.js')
const buildClient = require('./build-client.js')
const buildServer = require('./build-server.js')

async function build () {
  await buildDll()
  await beforeWebpack()
  await buildServer()
  await buildClient()
  await afterWebpack()
}

module.exports = build
